package naive

import "github.com/progrium/darwinkit/macos/appkit"

func (sv StackView) toNative() appkit.IView {
	nsv := appkit.NewStackView()
	nsv.SetOrientation(sv.Orientation.toNative())
	nsv.SetTranslatesAutoresizingMaskIntoConstraints(true)
	for _, v := range sv.Children {
		nsv.AddViewInGravity(v.toNative(), appkit.StackViewGravityTop)
	}
	return nsv
}
